Package com.plannaplan.controllers

# Class AssignmentsController

java.lang.Object
com.plannaplan.controllers.TokenBasedController
com.plannaplan.controllers.AssignmentsController

    @RestController
    @CrossOrigin
    @RequestMapping("/api/v1/assignments")
    @Deprecated
    public class AssignmentsController
    extends TokenBasedController

Deprecated.

## Field Summary

### Fields inherited from class com.plannaplan.controllers.TokenBasedController

`userService`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AssignmentsController()` | Deprecated.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`org.springframework.http.ResponseEntity<java.util.List<AssignmentResponse>>` | `getCurrentAssignments()` | Deprecated.

### Methods inherited from class com.plannaplan.controllers.TokenBasedController

`getCurrentUser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AssignmentsController

public AssignmentsController()
Deprecated.

## Method Details

### getCurrentAssignments

@GetMapping("/user") @Deprecated public org.springframework.http.ResponseEntity<java.util.List<AssignmentResponse>> getCurrentAssignments() throws java.lang.Exception
Deprecated.

Throws:
  `java.lang.Exception`